NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_choosecharset(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_choosecharset - Return the name of the most appropriate charset for the request

## Table Of Contents

## Synopsis

- ns_choosecharset ?-preference charset-list?

## Description

Performs an analysis of the request's accepted charsets, against either the given charset list, or the configured default preferred character set list (ns/parameters/PreferredCharsets).

## COMMANDS

ns_choosecharset ?-preference charset-list?

## EXAMPLES

       % ns_choosecharset
       iso-8859-1

       % ns_choosecharset -preference